Directory Tenants - Get
Hämta en katalogklient efter namn.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Subscriptions.Admin/directoryTenants/{tenant}?api-version=2015-11-01
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
Resursgruppen som resursen finns under. |
|
subscription
|
path | True |
string |
Prenumerationsautentiseringsuppgifter som unikt identifierar Microsoft Azure-prenumeration. Prenumerations-ID:t utgör en del av URI:n för varje tjänstanrop. |
|
tenant
|
path | True |
string |
Namn på katalogklient. |
|
api-version
|
query | True |
string |
Klient-API-version. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Oväntat fel |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
Get a directory tenant by name.
Exempelbegäran
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourcegroups/system.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com?api-version=2015-11-01
Exempelsvar
{
"id": "/subscriptions/8ab2551d-41e5-489b-9273-1cdf1cbc7dc6/resourceGroups/System.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com",
"name": "azurestackci07.onmicrosoft.com",
"type": "Microsoft.Subscriptions.Admin/directoryTenants",
"location": "local",
"properties": {
"tenantId": "2b3697e6-a7a2-4cdd-a3d4-f4ef6505cd4f"
}
}
Definitioner
| Name | Description |
|---|---|
|
Directory |
Katalogklientorganisation. |
| Error |
Felsvar. |
|
Error |
Feldefinition. |
DirectoryTenant
Katalogklientorganisation.
| Name | Typ | Description |
|---|---|---|
| id |
string |
Resursens URI. |
| location |
string |
Resursens plats |
| name |
string |
Namnet på resursen. |
| properties.tenantId |
string |
Unik identifierare för klientorganisation. |
| tags |
object |
Lista över nyckel/värde-par. |
| type |
string |
Typ av resurs. |
Error
Felsvar.
| Name | Typ | Description |
|---|---|---|
| error |
Felinformationen. |
ErrorDefinition
Feldefinition.
| Name | Typ | Description |
|---|---|---|
| code |
string |
Tjänstspecifik felkod som fungerar som understatus för HTTP-felkoden. |
| details |
Intern felinformation. |
|
| message |
string |
Beskrivning av felet. |